SABnzbd 2.3.0 (ReadyNAS OS 6 All Platforms & RAIDiator 5 ARM & RAIDitator 4 x86)

Another update to SABnzbd. Version 2.3.0 is out for ReadyNAS OS 6 on the x86 and ARM platforms and for RAIDiator 4 on x86 as well as for RAIDiator 5 on ReadyNAS ARM. Again, sorry for all those still on RAIDitator 4 on Sparc – the UltraSparc III is still dead. This update includes the SAByenc module in version 3.3.1 and on RAIDiator 4 and 5 platforms an update to unRAR 5.5.8.
So, here are the addons:

Comments

  1. Steve Schow says:

    I installed 2.3.0, but I’m getting a warning that says: SABYenc disabled: no correct version found! (Found v3.0.2, expecting v3.3.1)

    • On what ReadyNAS model / OS version?

      • Steve Schow says:

        I fixed the problem by completely uninstalling everything related to python and reinstalling it. Works now. I think I had a mixed enviornment of python2 and python3 that was somehow confused. Hopefully right now I just have python2 as installed by sabnzbd, and it works. I will have to figure out later how to properly install python 3 with virtualenv or whatever I have to do so that pip and everything will not get confused about which python some addon is being installed into or whatever.. Borgbackup is something I want to use and it requires python3, so I will have to figure that out better. Anyway, problem seems solved for now.

        thanks

  2. Steve Schow says:

    Ultra 2 plus running 6.8.0

    • Please send me the system logs to the address you got your purchase confirmation from. Tried and installed/upgraded on different models using 6.8.0 and they all worked fine.

      • Steve Schow says:

        I have the system logs, how can I send?

        Interestingly, from the command line I can type pip list, and it shows 3.3.1

      • Steve Schow says:

        Will do tonight when I get home. If you tell me manual install steps for it I can always do that too. I installed sabyenc manually in the past maybe that’s why